> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/non-deliverable-trading/settings-getovernightrates.md).

# settings/getOvernightRates

Overnight rates are set by makers and masters for trading assets. There are 2 types of overnight rates: positive and negative, each is set in percent per annum (%APR).

The system will decrease counterparty's/sub-account's negative positions every day by a calculated amount if a maker/master sets non-zero negative rates. If positive rates are set, positive positions will increase. A maker/master can set an individual rate for a counterparty/sub-account per asset.

Once rates are set, a system executes settlement orders to change positions at 00:00 UTC on a daily basis from the next day.

**POST api/settings/get\_overnight\_rates**

{% tabs %}
{% tab title="Payload" %}

```
{}
```

{% endtab %}

{% tab title="200 OK" %}
Response sample. Rates are in int32 format and rate=100 = 1 bps = 0.01%

<pre class="language-json"><code class="lang-json">[
  {
    "currency": "BTC", 
<strong>    "counterparty": 2, 
</strong>    "name": "FineryMarkets"
    "negativeRate": 100000, // negative rate value
    "positiveRate": 0 // positive rate value
  },
  ...
]
</code></pre>

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 9
}
```

{% endtab %}
{% endtabs %}

**Response description (for makers, takers)**

| Field name   | Type           | Description                                          |
| ------------ | -------------- | ---------------------------------------------------- |
|              | Array of rates | Array of overnight rates by asset and counterparty   |
| **Rate**     | JSON           |                                                      |
| currency     | string         | Currency name                                        |
| counterparty | ClientId       | Counterparty id                                      |
| name         | string         | Counterparty name                                    |
| negativeRate | unsigned int32 | <p>Negative rate,<br>min value=100=1 bps = 0.01%</p> |
| positiveRate | unsigned int32 | <p>Positive rate,<br>min value=100=1 bps = 0.01%</p> |

**Response description (for masters)**

| Field name  | Type                           | Description                                           |
| ----------- | ------------------------------ | ----------------------------------------------------- |
| **own**     | Array of OwnOvernightRates     |                                                       |
| rate        | Array of items                 | With the same structure as for makers, takers (above) |
| **against** | Array of AgainstOvernightRates |                                                       |
| rate        | Array of items                 | With the same structure as for makers, takers (above) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/non-deliverable-trading/settings-getovernightrates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
